// invioRichiestaBanca.java

import java.awt.TextArea;
import java.lang.Thread;
import java.net.*;
import java.io.*;

public class invioRichiestaBanca extends Thread{
	Socket s;
	DataInputStream in;
	DataOutputStream out;
	String nome;
	TextArea msg;
	int iniz,fine,val;
	String n,c;
	boolean stato;
	Tabella camere;
	int number;		// 1 se prima richiesta, 2 se l'altro  caduto e rimando la richiesta
	
	public invioRichiestaBanca(String nome,SApplet app,String n,String c,int val,
														int iniz,int fine,Tabella camere,boolean primo){
		super(nome);
		this.msg=app.msgOut;
		this.iniz=iniz;
		this.fine=fine;
		this.val=val;
		this.c=c;		
		this.n=n;		
		this.nome=nome;
		this.camere=camere;
		number=primo?1:2;
	}

	public void connect(String serv,String port)throws Exception{
		try{
			s=new Socket(serv,(new Integer(port)).intValue());
			in=new DataInputStream(new BufferedInputStream(s.getInputStream()));
			out=new DataOutputStream(new BufferedOutputStream(s.getOutputStream()));
		}catch(Exception e){
			msg.append("ERROR - Bank not found\n");
		}
	}	

	public void run(){
		try{
			msg.append("Aspetto ...\n");
			// this.sleep(10*1000);			per test
			out.writeInt(number);
			out.writeUTF(n);
			out.writeUTF(c);
			out.writeInt(val);
			out.writeInt(iniz);
			out.writeInt(fine);
			out.flush();
			String str=in.readUTF();
			if(str.equals("Ok")){
				stato=true;
				msg.append("La banca da l'ok\n");
			}else{
				stato=false;
				msg.append("La banca ha detto no!\n");
			}
		}catch(Exception e){msg.append(nome+" ERROR - Bank\n");}
	}

	public void sendOk(){
		try{
			out.writeUTF("Ok");
			out.flush();
		}catch(Exception e){msg.append(nome+" ERROR - Bank\n");}
	}

	public void close(){
		try{
			in.close();
			out.close();
			s.close();
		}catch(Exception e){msg.append(nome+" ERROR - Socket not closed\n");}
	}

	public boolean getStato(){return stato;}

}
