// Bank.java

import java.awt.*;
import java.lang.Thread;
import java.net.*;
import java.io.*;

public class Bank extends Thread{
	BApplet app;
	ServerSocket conn;
	Socket connessione;
	TextArea out;
	Tabella conti;
	
	public Bank(BApplet app,Tabella conti){
		this.app=app;
		this.out=app.msgOut;
		this.conti=conti;
	}
	
	public void connect(String port){
		out.append("\n");
		out.append("****************************************\n");
		out.append("Inizializzazione del sistema ...\n");
		try{
			conn=new ServerSocket((new Integer(port)).intValue());
			out.append("Socket ok\n");
		}catch(Exception e){out.append("ERROR - No socket open\n");}
		out.append("Tutto ok\n");
		out.append("****************************************\n");
		out.append("\n");
	}
	
	public void run(){
		int i=0;
		try{
			while(true){
				out.append("In attesa di richieste...\n");
				connessione=conn.accept();
				gestoreRichiesta t=new gestoreRichiesta(connessione,"Thread"+i,app,conti);
				out.append("Richiesta ricevuta: Thread"+i+" partito\n");
				i++;
				t.start();
			}
		}catch(Exception e){out.append("ERROR - "+e+"\n");}
	}

	public void close(){
		try{
			conn.close();
		}catch(Exception e){out.append("ERROR - Not closed\n");}
	}
	
}

